# List statuses V1 (deprecated) List account statuses registered for the organization. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounts", "version": "1.0.0", "description": "API used to manage accounts domain", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "API server for testing" } ], "tags": [ { "name": "Statuses and reasons", "description": "Endpoints to configure accounts, statuses, and reasons." } ], "components": { "schemas": { "AccountStatusGroup": { "type": "string", "description": "Account status group", "example": "BLOCKED" }, "AccountStatusID": { "type": "integer", "format": "int64", "description": "Account status ID", "example": 1234567890 }, "AccountStatusName": { "type": "string", "description": "Account status name. Pre-defined account statuses include `DEBIT_ONLY`, `NORMAL`, `BLOCKED` and `CANCELLED`. You can create your own account statuses with the [Create status](https://developers.pismo.io/pismo-docs/reference/v4-post-account-status) endpoint. \n", "maxLength": 200, "example": "NORMAL" }, "SimpleError": { "title": "SimpleError", "type": "object", "required": [ "message" ], "properties": { "message": { "type": "string", "description": "Error message" } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "security": [ { "BearerAuth": [] } ], "x-readme": { "explorer-enabled": true, "proxy-enabled": true, "samples-enabled": true }, "paths": { "/accounts/v1/account-status": { "get": { "summary": "List statuses V1 (deprecated)", "description": "List account statuses registered for the organization.", "operationId": "get-accounts-v1-account-status", "tags": [ "Statuses and reasons" ], "deprecated": true, "parameters": [], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "array", "items": { "type": "object", "description": "Object with account statuses", "properties": { "id": { "$ref": "#/components/schemas/AccountStatusID" }, "name": { "$ref": "#/components/schemas/AccountStatusName" }, "group": { "$ref": "#/components/schemas/AccountStatusGroup" } } } }, "examples": { "Status list": { "value": [ { "id": 1, "name": "ACCOUNT_CANCELLATION", "group": "BLOCKED" } ] } } } } }, "404": { "description": "Account status not found" }, "500": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SimpleError" }, "examples": { "Internal server error": { "value": { "message": "Error retrieving account status list" } } } } }, "description": "Internal server error" } } } } } } ```